<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 13                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage News
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminManageSubmissionQueue
 * A function to manage the submission queue 
 * @author Philipp Louis Esselbach
 */
function AdminManageSubmissionQueue( $opts )
{
	global $database, $system, $security, $preferences, $html, $words_news;
	$options = explode( "-", $opts );
	$options[ 0 ] = ( isset( $options[ 0 ] ) ) ? $security -> checkvar( $options[ 0 ] ) : "" ;
	$options[ 1 ] = ( isset( $options[ 1 ] ) ) ? $security -> checknum( $options[ 1 ] ) : "" ;
	$options[ 2 ] = ( isset( $options[ 2 ] ) ) ? $security -> checkvar( $options[ 2 ] ) : "" ;
	
	if( $options[ 0 ] )
	{
		if( ( $system -> adminhashget() != $options[ 2 ] ) and( $preferences[ 'website_subsessions_admin' ] ) )
		{
			$html -> login( $words_news[ 'ERROR' ], $words_news[ 'INVALID_SESSION' ], "index.php" );
			exit;
		}
	}

	if( $options[ 0 ] == "deletestory" )
	{
		$database -> dbquery( "DELETE FROM " . DB_PREFIX . "esselbach_ct_newsqueue WHERE newsqueue_id = '" . $options[ 1 ] . "'" );
		$options[ 0 ] = "";
	}

	if( $options[ 0 ] == "editstory" )
	{
		include( "admineditqueuestory.php" );
		AdminEditQueuestory( $options[ 1 ], "" );
	}

	if( !$options[ 0 ] )
	{
		$security_hash = $system -> adminhashput();
		
		$input_search_title = ( isset( $_GET[ 'input_search_title' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_title' ] ) : "" ;
		$input_search_content = ( isset( $_GET[ 'input_search_content' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_content' ] ) : "" ;
		$input_search_author = ( isset( $_GET[ 'input_search_author' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_author' ] ) : "" ;
		$input_search_file = ( isset( $_GET[ 'input_search_file' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_file' ] ) : "" ;
		$input_search_channel = ( isset( $_GET[ 'input_search_channel' ] ) ) ? $security -> checkvar( $_GET[ 'input_search_channel' ] ) : "" ;
		$input_search_status = ( isset( $_GET[ 'input_search_status' ] ) ) ? $security -> checknum( $_GET[ 'input_search_status' ] ) : "" ;
		$input_search_date = ( isset( $_GET[ 'input_search_date' ] ) ) ? $security -> checknum( $_GET[ 'input_search_date' ] ) : "" ;
		$input_search_sort = ( isset( $_GET[ 'input_search_sort' ] ) ) ? $security -> checknum( $_GET[ 'input_search_sort' ] ) : "" ;
		$input_search_order = ( isset( $_GET[ 'input_search_order' ] ) ) ? $security -> checknum( $_GET[ 'input_search_order' ] ) : "" ;
		$input_search_page = ( isset( $_GET[ 'input_search_page' ] ) ) ? $security -> checknum( $_GET[ 'input_search_page' ] ) : "" ;
		
		if( !$input_search_status )
		{
			$input_search_status = 0;
		}
		
		$input_query = array();
		
		if( $input_search_title )
		{
			$input_query[ ] = "(newsqueue_title LIKE '%" . $input_search_title . "%')";
		}
		
		if( $input_search_content )
		{
			$input_query[ ] = "(newsqueue_rawstory LIKE '%" . $input_search_content . "%')";
		}
		
		if( $input_search_author )
		{
			$input_query[ ] = "(newsqueue_author LIKE '%" . $input_search_author . "%')";
		}
		
		if( $input_search_file )
		{
			$input_query[ ] = "(newsqueue_filename LIKE '%" . $input_search_file . "%')";
		}
		
		if( $input_search_channel )
		{
			$input_query[ ] = "(newsqueue_channels LIKE '%" . $input_search_channel . "%')";
		}
		
		$input_query[ ] = "newsqueue_status = '" . $input_search_status . "'";
		
		if( $input_search_date )
		{
			if( $input_search_date == 1 )
			{
				$input_search_range = 86400;
			}
			
			if( $input_search_date == 2 )
			{
				$input_search_range = 172800;
			}
			
			if( $input_search_date == 3 )
			{
				$input_search_range = 604800;
			}
			
			if( $input_search_date == 4 )
			{
				$input_search_range = 2677400;
			}
			
			if( $input_search_date == 5 )
			{
				$input_search_range = 8032200;
			}
			
			if( $input_search_date == 6 )
			{
				$input_search_range = 16064400;
			}
			
			if( $input_search_date == 7 )
			{
				$input_search_range = 32128800;
			}
			
			$input_search_date_db = mktime() - $input_search_range;
			$input_search_date_db = date( "Y-m-d H:i:s", $input_search_date_db );
			$input_query[ ] = "newsqueue_startdate > ('" . $input_search_date_db . "')";
		}
		
		if( $input_query )
		{
			$input_full_query = "WHERE " . join( " AND ", $input_query );
		}
		else
		{
			$input_full_query = "";
		}
		
		if( $input_search_sort )
		{
			if( $input_search_sort == 1 )
			{
				$input_sort_query = "newsqueue_title";
			}
			
			if( $input_search_sort == 2 )
			{
				$input_sort_query = "newsqueue_rawstory";
			}
			
			if( $input_search_sort == 3 )
			{
				$input_sort_query = "newsqueue_rawextendedstory";
			}
			
			if( $input_search_sort == 4 )
			{
				$input_sort_query = "newsqueue_channels";
			}
			
			if( $input_search_sort == 5 )
			{
				$input_sort_query = "newsqueue_website";
			}
			
			if( $input_search_sort == 6 )
			{
				$input_sort_query = "newsqueue_author";
			}
			
			if( $input_search_sort == 7 )
			{
				$input_sort_query = "newsqueue_startdate";
			}
		}
		else
		{
			$input_sort_query = "newsqueue_id";
		}
		
		if( !$input_search_order )
		{
			$input_sort_query .= " DESC";
		}
		
		$html -> makeheader( $words_news[ 'SUBMISSION_QUEUE' ] );
		$html -> deleteinit( $words_news[ 'ARE_YOU_SURE' ] );
		$html -> checkinit();
		$html -> makesubheader();
		$html -> makegroupmenu( "news" );
		$html -> makeformheader( $words_news[ 'SUBMISSION_QUEUE' ], "news", "newssearch", "get" );
		echo $words_news[ 'SEARCH_FORM_NEWS' ] . "<br />";
		echo "<strong>" . $words_news[ 'STORY_TITLE' ] . ":</strong> <input name=\"input_search_title\" size=\"32\" value=\"" . stripslashes( $input_search_title ) . "\" /> ";
		echo "<strong>" . $words_news[ 'CONTENT' ] . ":</strong> <input name=\"input_search_content\" size=\"32\" value=\"" . stripslashes( $input_search_content ) . "\" /> ";
		echo "<input type=\"hidden\" name=\"action\" value=\"submissionqueue\" /><input type=\"submit\" value=\"" . $words_news[ 'GO' ] . "\" /><br />";
		echo "<strong>" . $words_news[ 'AUTHOR' ] . ":</strong> <input name=\"input_search_author\" size=\"12\" value=\"" . stripslashes( $input_search_author ) . "\" /> ";
		echo "<strong>" . $words_news[ 'FILE' ] . ":</strong> <input name=\"input_search_file\" size=\"32\" value=\"" . stripslashes( $input_search_file ) . "\" /> ";
		echo "<strong>" . $words_news[ 'CHANNEL' ] . ":</strong> <select size=\"1\" name=\"input_search_channel\">";
		$channel_name = array();
		$channel_name[ 0 ] = $words_news[ 'NONE' ];
		echo "<option value=\"0\">" . $words_news[ 'NONE' ] . "</option>";
		$query = $database -> dbquery( "SELECT newschannel_key, newschannel_name FROM " . DB_PREFIX . "esselbach_ct_newschannels" );
		
		if( $database -> dbrows( $query ) )
		{
			while( list( $newschannel_key, $newschannel_name ) = $database -> dbrow( $query ) )
			{
				$channel_name[ $newschannel_key ] = $newschannel_name;
				
				if( $newschannel_key == $input_search_channel and $newschannel_name )
				{
					echo "<option selected=\"selected\" value=\"" . $newschannel_key . "\">" . $newschannel_name . "</option>";
				}
				else
				{
					echo "<option value=\"" . $newschannel_key . "\">" . $newschannel_name . "</option>";
				}
			}
		}
		
		echo "</select><br />";
		( !$input_search_status ) ? $status_new = "selected=\"selected\"" : $status_new = "" ;
		( $input_search_status == 1 ) ? $status_approved = "selected=\"selected\"" : $status_approved = "" ;
		( $input_search_status == 2 ) ? $status_rejected = "selected=\"selected\"" : $status_rejected = "" ;
		( $input_search_status == 3 ) ? $status_holded = "selected=\"selected\"" : $status_holded = "" ;
		echo "<strong>" . $words_news[ 'STATUS' ] . ":</strong> <select size=\"1\" name=\"input_search_status\">";
		echo "<option " . $status_new . "value=\"0\">" . $words_news[ 'NEW' ] . "</option>";
		echo "<option " . $status_approved . "value=\"1\">" . $words_news[ 'APPROVED' ] . "</option>";
		echo "<option " . $status_rejected . "value=\"2\">" . $words_news[ 'REJECTED' ] . "</option>";
		echo "<option " . $status_holded . "value=\"3\">" . $words_news[ 'HOLDED' ] . "</option>";
		echo "</select> ";
		( !$input_search_date ) ? $range_all = "selected=\"selected\" " : $range_all = "" ;
		( $input_search_date == 1 ) ? $range_today = "selected=\"selected\" " : $range_today = "" ;
		( $input_search_date == 2 ) ? $range_yesterday = "selected=\"selected\" " : $range_yesterday = "" ;
		( $input_search_date == 3 ) ? $range_lastweek = "selected=\"selected\" " : $range_lastweek = "" ;
		( $input_search_date == 4 ) ? $range_lastmonth = "selected=\"selected\" " : $range_lastmonth = "" ;
		( $input_search_date == 5 ) ? $range_last3months = "selected=\"selected\" " : $range_last3months = "" ;
		( $input_search_date == 6 ) ? $range_last6months = "selected=\"selected\" " : $range_last6months = "" ;
		( $input_search_date == 7 ) ? $range_lastyear = "selected=\"selected\" " : $range_lastyear = "" ;
		echo "<strong>" . $words_news[ 'DATE_RANGE' ] . ":</strong> <select size=\"1\" name=\"input_search_date\">";
		echo "<option " . $range_all . "value=\"0\">" . $words_news[ 'ALL' ] . "</option>";
		echo "<option " . $range_today . "value=\"1\">" . $words_news[ 'TODAY' ] . "</option>";
		echo "<option " . $range_yesterday . "value=\"2\">" . $words_news[ 'YESTERDAY' ] . "</option>";
		echo "<option " . $range_lastweek . "value=\"3\">" . $words_news[ 'LASTWEEK' ] . "</option>";
		echo "<option " . $range_lastmonth . "value=\"4\">" . $words_news[ 'LASTMONTH' ] . "</option>";
		echo "<option " . $range_last3months . "value=\"5\">" . $words_news[ 'LAST3MONTHS' ] . "</option>";
		echo "<option " . $range_last6months . "value=\"6\">" . $words_news[ 'LAST6MONTHS' ] . "</option>";
		echo "<option " . $range_lastyear . "value=\"7\">" . $words_news[ 'LASTYEAR' ] . "</option>";
		echo "</select> ";
		( !$input_search_sort ) ? $sort_id = "selected=\"selected\" " : $sort_id = "" ;
		( $input_search_sort == 1 ) ? $sort_story_title = "selected=\"selected\" " : $sort_story_title = "" ;
		( $input_search_sort == 2 ) ? $sort_story = "selected=\"selected\" " : $sort_story = "" ;
		( $input_search_sort == 3 ) ? $sort_extendedstory = "selected=\"selected\" " : $sort_extendedstory = "" ;
		( $input_search_sort == 4 ) ? $sort_channels = "selected=\"selected\" " : $sort_channels = "" ;
		( $input_search_sort == 5 ) ? $sort_website = "selected=\"selected\" " : $sort_website = "" ;
		( $input_search_sort == 6 ) ? $sort_author = "selected=\"selected\" " : $sort_author = "" ;
		( $input_search_sort == 7 ) ? $sort_date = "selected=\"selected\" " : $sort_date = "" ;
		echo "<strong>" . $words_news[ 'SORT_BY' ] . ":</strong> <select size=\"1\" name=\"input_search_sort\">";
		echo "<option " . $sort_id . "value=\"0\">" . $words_news[ 'ID' ] . "</option>";
		echo "<option " . $sort_story_title . "value=\"1\">" . $words_news[ 'STORY_TITLE' ] . "</option>";
		echo "<option " . $sort_story . "value=\"2\">" . $words_news[ 'STORY' ] . "</option>";
		echo "<option " . $sort_extendedstory . "value=\"3\">" . $words_news[ 'EXTENDEDSTORY' ] . "</option>";
		echo "<option " . $sort_channels . "value=\"4\">" . $words_news[ 'CHANNELS' ] . "</option>";
		echo "<option " . $sort_website . "value=\"5\">" . $words_news[ 'WEBSITE' ] . "</option>";
		echo "<option " . $sort_author . "value=\"6\">" . $words_news[ 'AUTHOR' ] . "</option>";
		echo "<option " . $sort_date . "value=\"7\">" . $words_news[ 'DATE' ] . "</option>";
		echo "</select> ";
		( !$input_search_order ) ? $sort_descending = "selected=\"selected\" " : $sort_descending = "" ;
		( $input_search_order == 1 ) ? $sort_ascending = "selected=\"selected\" " : $sort_ascending = "" ;
		echo "<select size=\"1\" name=\"input_search_order\">";
		echo "<option " . $sort_descending . "value=\"0\">" . $words_news[ 'DESCENDING' ] . "</option>";
		echo "<option " . $sort_ascending . "value=\"1\">" . $words_news[ 'ASCENDING' ] . "</option>";
		echo "</select> ";
		$query = $database -> dbquery( "SELECT COUNT(newsqueue_id) FROM " . DB_PREFIX . "esselbach_ct_newsqueue " . $input_full_query . " ORDER BY " . $input_sort_query );
		list( $all_pages ) = $database -> dbrow( $query );
		
		if( !$input_search_status and $all_pages )
		{
			echo "<br /><br />" . $words_news[ 'THERE_ARE' ] . " " . $all_pages . " " . $words_news[ 'NEW_SUBMISSIONS_IN_QUERE' ] . " <a href=\"index.php?action=processsubmissionqueue\">" . $words_news[ 'CLICK_HERE' ] . "</a> " . $words_news[ 'TO_PROCESS_THEM_ALL' ];
		}
		
		if( $input_search_page )
		{
			$input_search_dbpage = $input_search_page - 1;
			$page = $input_search_dbpage * 50;
		}
		else
		{
			$page = 0;
		}
		
		$all_pages_rounded = ceil( $all_pages/50 );
		$query = $database -> dbquery( "SELECT newsqueue_website, newsqueue_title, newsqueue_id, newsqueue_author, newsqueue_startdate FROM " . DB_PREFIX . "esselbach_ct_newsqueue " . $input_full_query . " ORDER BY " . $input_sort_query . " LIMIT " . $page . ",50" );
		$pages = $database -> dbrows( $query );
		
		if( $pages )
		{
			$html -> makeformsubfooter();
			
			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_news[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=submissionqueue&amp;input_search_title=" . $input_search_title . "&amp;input_search_content=" . $input_search_content . "&amp;input_search_author=" . $input_search_author . "&amp;input_search_file=" . $input_search_file . "&amp;input_search_channel=" . $input_search_channel . "&amp;input_search_status=" . $input_search_status . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}
			
			$html -> table5header( $words_news[ 'STORY_SITEID' ], $words_news[ 'STORY_TITLE' ], $words_news[ 'DATE' ], $words_news[ 'AUTHOR' ] );
			
			while( list( $newsqueue_website, $newsqueue_title, $newsqueue_id, $newsqueue_author, $newsqueue_date ) = $database -> dbrow( $query ) )
			{
				$html -> table5middle( $newsqueue_id . " / " . $newsqueue_website, htmlspecialchars( $newsqueue_title ), $newsqueue_date, $newsqueue_author, "submissionqueue&amp;opts=editstory-" . $newsqueue_id . "-" . $security_hash, "submissionqueue&amp;opts=deletestory-" . $newsqueue_id . "-" . $security_hash );
			}
			
			$html -> table5col( "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"submissionqueueoptions\" /><select size=\"1\" name=\"input_option\"><optgroup label=\"" . $words_news[ 'SUBMISSIONQUEUE_OPTIONS' ] . "\"><option value=\"0\">" . $words_news[ 'DELETE_CHECKED_STORIES' ] . "</option><option value=\"1\">" . $words_news[ 'APPROVE_CHECKED_STORIES' ] . "</option><option value=\"2\">" . $words_news[ 'APPROVE_MERGE_CHECKED_STORIES' ] . "</option><option value=\"3\">" . $words_news[ 'REJECT_CHECKED_STORIES' ] . "</option><option value=\"4\">" . $words_news[ 'PROCESS_CHECKED_STORIES' ] . "</option></optgroup></select><input type=\"submit\" value=\"" . $words_news[ 'GO' ] . "\" />" );
			$html -> maketablefooter();
			$html -> makeformsubfooter();
			
			if( ( $page < $all_pages ) and( $all_pages_rounded > 1 ) )
			{
				echo "<span class=\"pagelink\">" . $all_pages_rounded . " " . $words_news[ 'PAGES' ] . "</span> ";
				$html -> printpages( $all_pages_rounded, "index.php?action=submissionqueue&amp;input_search_title=" . $input_search_title . "&amp;input_search_content=" . $input_search_content . "&amp;input_search_author=" . $input_search_author . "&amp;input_search_file=" . $input_search_file . "&amp;input_search_channel=" . $input_search_channel . "&amp;input_search_status=" . $input_search_status . "&amp;input_search_date=" . $input_search_date . "&amp;input_search_sort=" . $input_search_sort . "&amp;input_search_order=" . $input_search_order . "&amp;input_search_page", $input_search_page );
			}
		}
		else
		{
			echo "<br />" . $words_news[ 'NO_MATCHES' ] . "</div>";
		}
		
		echo "</div>";
	}
}
?>