<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 13                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage News
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminProcessSubmissionQueue
 * A function to process the submission queue 
 * @author Philipp Louis Esselbach
 */
function AdminProcessSubmissionQueue( $notice )
{
	global $database, $security, $system, $html, $preferences, $wysiwyg, $login_username, $uwrapper, $words_news;
	$input_id = ( isset( $_POST[ 'input_id' ] ) ) ? $system -> stripthis( $_POST[ 'input_id' ] ) : "" ;
	$input_website = ( isset( $_POST[ 'input_website' ] ) ) ? $system -> stripthis( $_POST[ 'input_website' ] ) : "" ;
	$input_channels = ( isset( $_POST[ 'input_channels' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_channels' ] ) : "" ;
	$input_teaserimage = ( isset( $_POST[ 'input_teaserimage' ] ) ) ? $system -> stripthis( $_POST[ 'input_teaserimage' ] ) : "" ;
	$input_year = ( isset( $_POST[ 'input_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_year' ] ) : "" ;
	$input_month = ( isset( $_POST[ 'input_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_month' ] ) : "" ;
	$input_day = ( isset( $_POST[ 'input_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_day' ] ) : "" ;
	$input_hour = ( isset( $_POST[ 'input_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_hour' ] ) : "" ;
	$input_minute = ( isset( $_POST[ 'input_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_minute' ] ) : "" ;
	$input_second = ( isset( $_POST[ 'input_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_second' ] ) : "" ;
	$input_now = ( isset( $_POST[ 'input_now' ] ) ) ? $system -> stripthis( $_POST[ 'input_now' ] ) : "" ;
	$input_expire_year = ( isset( $_POST[ 'input_expire_year' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_year' ] ) : "" ;
	$input_expire_month = ( isset( $_POST[ 'input_expire_month' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_month' ] ) : "" ;
	$input_expire_day = ( isset( $_POST[ 'input_expire_day' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_day' ] ) : "" ;
	$input_expire_hour = ( isset( $_POST[ 'input_expire_hour' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_hour' ] ) : "" ;
	$input_expire_minute = ( isset( $_POST[ 'input_expire_minute' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_minute' ] ) : "" ;
	$input_expire_second = ( isset( $_POST[ 'input_expire_second' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_second' ] ) : "" ;
	$input_expire_never = ( isset( $_POST[ 'input_expire_never' ] ) ) ? $system -> stripthis( $_POST[ 'input_expire_never' ] ) : "" ;
	$input_newsstory_title = ( isset( $_POST[ 'input_newsstory_title' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_title' ] ) : "" ;
	$input_newsstory_seo = ( isset( $_POST[ 'input_newsstory_seo' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_seo' ] ) : "" ;
	$input_newsstory_source = ( isset( $_POST[ 'input_newsstory_source' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_source' ] ) : "" ;
	$input_newsstory_sourceid = ( isset( $_POST[ 'input_newsstory_sourceid' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_sourceid' ] ) : "" ;
	$input_newsstory_description = ( isset( $_POST[ 'input_newsstory_description' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_description' ] ) : "" ;
	$input_newsstory_keywords = ( isset( $_POST[ 'input_newsstory_keywords' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_keywords' ] ) : "" ;
	$input_newsstory_story = ( isset( $_POST[ 'input_newsstory_story' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_story' ] ) : "" ;
	$input_newsstory_extendedstory = ( isset( $_POST[ 'input_newsstory_extendedstory' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_extendedstory' ] ) : "" ;
	$input_newsstory_link = ( isset( $_POST[ 'input_newsstory_link' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_link' ] ) : "" ;
	$input_newsstory_tags = ( isset( $_POST[ 'input_newsstory_tags' ] ) ) ? $system -> stripthis( $_POST[ 'input_newsstory_tags' ] ) : "" ;
	$input_forum = ( isset( $_POST[ 'input_forum' ] ) ) ? $system -> stripthis( $_POST[ 'input_forum' ] ) : "" ;
	$input_html = ( isset( $_POST[ 'input_html' ] ) ) ? $system -> stripthis( $_POST[ 'input_html' ] ) : "" ;
	$input_smilies = ( isset( $_POST[ 'input_smilies' ] ) ) ? $system -> stripthis( $_POST[ 'input_smilies' ] ) : "" ;
	$input_blockcode = ( isset( $_POST[ 'input_blockcode' ] ) ) ? $system -> stripthis( $_POST[ 'input_blockcode' ] ) : "" ;
	$input_allow_comments = ( isset( $_POST[ 'input_allow_comments' ] ) ) ? $system -> stripthis( $_POST[ 'input_allow_comments' ] ) : "" ;
	$input_frontpage = ( isset( $_POST[ 'input_frontpage' ] ) ) ? $security -> checknum( $_POST[ 'input_frontpage' ] ) : "" ;
	$input_url_tag = ( isset( $_POST[ 'input_url_tag' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_tag' ] ) : "" ;
	$input_url_get = ( isset( $_POST[ 'input_url_get' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_get' ] ) : "" ;
	$input_status = ( isset( $_POST[ 'input_status' ] ) ) ? $system -> stripthis( $_POST[ 'input_status' ] ) : "" ;
	$input_password = ( isset( $_POST[ 'input_password' ] ) ) ? $system -> stripthis( $_POST[ 'input_password' ] ) : "" ;
	$input_news = ( isset( $_POST[ 'input_news' ] ) ) ? $system -> stripthis( $_POST[ 'input_news' ] ) : "" ;
	$input_poll_question = ( isset( $_POST[ 'input_poll_question' ] ) ) ? $system -> stripthis( $_POST[ 'input_poll_question' ] ) : "" ;
	$input_poll_choice = ( isset( $_POST[ 'input_poll_choice' ] ) ) ? $system -> stripthis( $_POST[ 'input_poll_choice' ] ) : "" ;
	$input_poll_options = ( isset( $_POST[ 'input_poll_options' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_poll_options' ] ) : array() ;
	$input_file_title = ( isset( $_POST[ 'input_file_title' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_title' ] ) : array() ;
	$input_file_description = ( isset( $_POST[ 'input_file_description' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_file_description' ] ) : array() ;
	$input_fields = ( isset( $_POST[ 'input_fields' ] ) ) ? $system -> stripthisarray( $_POST[ 'input_fields' ] ) : array() ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	$input_this_form = ( isset( $_POST[ 'input_this_form' ] ) ) ? $system -> stripthis( $_POST[ 'input_this_form' ] ) : "" ;
	
	$security_hash = $system -> adminhashput();
	
	$news = ( isset( $_GET[ 'news' ] ) ) ? $security -> checkvar( $_GET[ 'news' ] ) : "" ;
	
	if( !$input_this_form )
	{
		if ( $news )
		{
			$input_news_array = explode( ",", $news );
			$input_news_array = $security -> checknumarray( $input_news_array );
			$input_news_sql = "newsqueue_id IN (" . implode( ",", $input_news_array ) . ") AND ";			
		}
		else 
		{
			$input_news_sql = "";
		}
		
		$query = $database -> dbquery( "SELECT newsqueue_id, newsqueue_website, newsqueue_channels, newsqueue_title, newsqueue_rawstory, newsqueue_rawextendedstory, newsqueue_link, newsqueue_teaser, newsqueue_allowcomments, newsqueue_html, newsqueue_smilies, newsqueue_code, newsqueue_startdate, newsqueue_fields, newsqueue_author, newsqueue_authorid FROM " . DB_PREFIX . "esselbach_ct_newsqueue WHERE " . $input_news_sql . "newsqueue_status = '0' ORDER BY newsqueue_id LIMIT 1" );
		
		if( !$database -> dbrows( $query ) )
		{
			$html -> login( $words_news[ 'SUBMISSION_QUEUE' ], $words_news[ 'ALL_STORIES_PROCESSED' ], "index.php?action=managestories" );
		}
		
		list( $input_id, $input_website, $input_channels_list, $input_newsstory_title, $input_newsstory_story, $input_newsstory_extendedstory, $input_newsstory_link, $input_teaserimage, $input_allow_comments, $input_html, $input_smilies, $input_blockcode, $input_startdate, $input_fields_data, $input_newsstory_source, $input_newsstory_sourceid ) = $database -> dbrow( $query );
		$input_expire_never = 1;
		$input_frontpage = 1;
		$input_url_tag = 1;
		$input_url_get = 1;
		$input_allow_comments = $preferences[ 'news_allow_comments' ];
		$date_split = explode( " ", $input_startdate );
		list( $input_year, $input_month, $input_day ) = explode( "-", $date_split[ 0 ] );
		list( $input_hour, $input_minute, $input_second ) = explode( ":", $date_split[ 1 ] );
		
		if( $input_fields_data )
		{
			$input_fields_array = explode( "|", $input_fields_data );
			$input_fields = array();
			
			for( $i = 0; $i < 24; $i++ )
			{
				$input_fields[ $i ] = base64_decode( $input_fields_array[ $i ] );
			}
		}
	}
	else
	{
		$input_newsstory_title = stripslashes( $input_newsstory_title );
		$input_newsstory_description = stripslashes( $input_newsstory_description );
		$input_newsstory_keywords = stripslashes( $input_newsstory_keywords );
		$input_newsstory_story = stripslashes( $input_newsstory_story );
		$input_newsstory_extendedstory = stripslashes( $input_newsstory_extendedstory );
		$input_newsstory_link = stripslashes( $input_newsstory_link );
		$input_password = stripslashes( $input_password );
		$input_channels_list = "";
		$news = $input_news;
	}
	
	$html -> makeheader( $words_news[ 'SUBMISSION_NO' ] . $input_id );
	$html -> popinit();
	
	if( $preferences[ 'news_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_newsstory_story,input_newsstory_extendedstory" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_newsstory_story", "input_newsstory_extendedstory" );
	}
	
	$html -> forminit( "extra_form_close", "extra_form_open" );
	$html -> forminit2( "attachment_form_close", "attachment_form_open" );
	$html -> filesinit( "newsattachmentsearch" );
	$html -> tagcloudinit( "newform", "input_newsstory_tags" );
	$html -> teaserpreviewinit( "teaserimagepreview" );
	$html -> makesubheader();
	$html -> makegroupmenu( "news" );
	
	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}
	
	if( $notice )
	{
		$html -> makeformheadera( $words_news[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_news[ 'SUBMISSION_NO' ] . $input_id . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$input_newsstory_parsed = $input_newsstory_story . "\n" . $input_newsstory_extendedstory;
		if ( $input_blockcode )
		{
			if ( $input_url_tag )
			{
				$input_newsstory_parsed = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_newsstory_parsed );
			}
				
			if ( $input_url_get )
			{
				$input_newsstory_parsed = $system -> geturltitles( $input_newsstory_parsed );
			}
		}
		$input_newsstory_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_news[ 'ATTACHMENT_HERE' ], $input_newsstory_parsed );
		$input_newsstory_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_news[ 'ATTACHMENT_IMG_HERE' ], $input_newsstory_parsed );
		$input_newsstory_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_news[ 'ATTACHMENT_THUMB_HERE' ], $input_newsstory_parsed );
		$input_newsstory_parsed = eregi_replace( "\\[queueattachment=([^\\[]+)\\]([^\\[]*)\\[/queueattachment\\]", $words_news[ 'ATTACHMENT_HERE' ], $input_newsstory_parsed );
		$input_newsstory_parsed = eregi_replace( "\\[queuefullimage=([^\\[]+)\\]", $words_news[ 'ATTACHMENT_IMG_HERE' ], $input_newsstory_parsed );
		$input_newsstory_parsed = eregi_replace( "\\[queuethumb=([^\\[]+)\\]", $words_news[ 'ATTACHMENT_THUMB_HERE' ], $input_newsstory_parsed );
		
		if( !$input_html )
		{
			$input_newsstory_parsed = $system -> dechomp( $input_newsstory_parsed );
		}
		
		if( $input_smilies )
		{
			$input_newsstory_parsed = $system -> smilies( $input_newsstory_parsed );
		}
		
		if( $input_blockcode )
		{
			$input_newsstory_parsed = $system -> code( $input_newsstory_parsed );
		}
		
		$html -> makeformheadera( $words_news[ 'PREVIEW' ], "newstory", "newform" );
		echo $system -> fixsmilies( $input_newsstory_parsed );
		echo "<br /><br /><h2>" . $words_news[ 'SUBMISSION_NO' ] . $input_id . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_news[ 'SUBMISSION_NO' ] . $input_id, "newstory", "newform" );
	}
	
	$websites = array();
	$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );
	
	if( $database -> dbrows( $query ) )
	{
		echo "<strong>" . $words_news[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
		echo "<option value=\"0\">" . $words_news[ 'ALL' ] . "</option>";
		
		while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
		{
			if( $website_id == $input_website )
			{
				echo "<option selected=\"selected\" value=\"$website_id\">$website_name</option>";
			}
			else
			{
				echo "<option value=\"$website_id\">$website_name</option>";
			}
			
			$websites[ $website_id ] = $website_name;
		}
		
		echo "</select> ";
	}
	
	if( $preferences[ 'news_featured' ] )
	{	
		echo "<input name=\"input_top\" type=\"checkbox\" value=\"1\" /> <strong>" . $words_news[ 'TOP_STORY' ] . "</strong>";
	}
	echo "<br />";
	$html -> uppertext( $words_news[ 'STORY_TITLE' ], "input_newsstory_title", $input_newsstory_title );
	$html -> uppertext( $words_news[ 'THIS_STORY_WAS_CONTRIBUTED_BY' ], "input_newsstory_source", $input_newsstory_source );
	echo "<input type=\"hidden\" name=\"input_newsstory_sourceid\" value=\"" . $input_newsstory_sourceid . "\" />";
	
	if( !$input_year )
	{
		$input_year = date( "Y" );
		$input_month = date( "n" );
		$input_day = date( "j" );
		$input_hour = date( "H" );
		$input_minute = date( "i" );
		$input_second = date( "s" );
	}
	
	echo "<strong>" . $words_news[ 'PUBLISH_DATE' ] . ":</strong><br />";
	( $input_month == "1" ) ? $month_selected_january = "selected=\"selected\"" : $month_selected_january = "" ;
	( $input_month == "2" ) ? $month_selected_feburary = "selected=\"selected\"" : $month_selected_feburary = "" ;
	( $input_month == "3" ) ? $month_selected_march = "selected=\"selected\"" : $month_selected_march = "" ;
	( $input_month == "4" ) ? $month_selected_april = "selected=\"selected\"" : $month_selected_april = "" ;
	( $input_month == "5" ) ? $month_selected_may = "selected=\"selected\"" : $month_selected_may = "" ;
	( $input_month == "6" ) ? $month_selected_june = "selected=\"selected\"" : $month_selected_june = "" ;
	( $input_month == "7" ) ? $month_selected_july = "selected=\"selected\"" : $month_selected_july = "" ;
	( $input_month == "8" ) ? $month_selected_august = "selected=\"selected\"" : $month_selected_august = "" ;
	( $input_month == "9" ) ? $month_selected_september = "selected=\"selected\"" : $month_selected_september = "" ;
	( $input_month == "10" ) ? $month_selected_october = "selected=\"selected\"" : $month_selected_october = "" ;
	( $input_month == "11" ) ? $month_selected_november = "selected=\"selected\"" : $month_selected_november = "" ;
	( $input_month == "12" ) ? $month_selected_december = "selected=\"selected\"" : $month_selected_december = "" ;
	echo "<select size=\"1\" name=\"input_month\">";
	echo "<option " . $month_selected_january . "value=\"1\">" . $words_news[ 'JANUARY' ] . "</option>";
	echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_news[ 'FEBRUARY' ] . "</option>";
	echo "<option " . $month_selected_march . "value=\"3\">" . $words_news[ 'MARCH' ] . "</option>";
	echo "<option " . $month_selected_april . "value=\"4\">" . $words_news[ 'APRIL' ] . "</option>";
	echo "<option " . $month_selected_may . "value=\"5\">" . $words_news[ 'MAY' ] . "</option>";
	echo "<option " . $month_selected_june . "value=\"6\">" . $words_news[ 'JUNE' ] . "</option>";
	echo "<option " . $month_selected_july . "value=\"7\">" . $words_news[ 'JULY' ] . "</option>";
	echo "<option " . $month_selected_august . "value=\"8\">" . $words_news[ 'AUGUST' ] . "</option>";
	echo "<option " . $month_selected_september . "value=\"9\">" . $words_news[ 'SEPTEMBER' ] . "</option>";
	echo "<option " . $month_selected_october . "value=\"10\">" . $words_news[ 'OCTOBER' ] . "</option>";
	echo "<option " . $month_selected_november . "value=\"11\">" . $words_news[ 'NOVEMBER' ] . "</option>";
	echo "<option " . $month_selected_december . "value=\"12\">" . $words_news[ 'DECEMBER' ] . "</option>";
	echo "</select><select size=\"1\" name=\"input_day\">";
	
	for( $day = 1; $day < 32; $day++ )
	{
		( $day == $input_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
		echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
	}
	
	$yearstart = date( "Y" ) - 10;
	$yearend = date( "Y" ) + 10;
	echo "</select><select size=\"1\" name=\"input_year\">";
	
	for( $year = $yearstart; $year < $yearend; $year++ )
	{
		( $year == $input_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
		echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
	}
	
	echo "</select><select size=\"1\" name=\"input_hour\">";
	
	for( $hour = 1; $hour < 24; $hour++ )
	{
		$hour_value = $html -> twodigits( $hour );
		( $hour_value == $input_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
		echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
	}
	
	echo "</select>:<select size=\"1\" name=\"input_minute\">";
	
	for( $minutes = 1; $minutes < 60; $minutes++ )
	{
		$minutes_value = $html -> twodigits( $minutes );
		( $minutes_value == $input_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
		echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
	}
	
	echo "</select>:<select size=\"1\" name=\"input_second\">";
	
	for( $seconds = 1; $seconds < 60; $seconds++ )
	{
		$seconds_value = $html -> twodigits( $seconds );
		( $seconds_value == $input_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
		echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
	}
	
	( $input_now ) ? $checked = " checked=\"checked\"" : $checked = "" ;
	echo "</select> <strong>" . $words_news[ 'OR_NOW' ] . "<input name=\"input_now\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";
	echo "<strong>" . $words_news[ 'EXPIRE_DATE' ] . ":</strong><br />";
	( $input_expire_month == "1" ) ? $month_selected_january = "selected=\"selected\" " : $month_selected_january = "" ;
	( $input_expire_month == "2" ) ? $month_selected_feburary = "selected=\"selected\" " : $month_selected_feburary = "" ;
	( $input_expire_month == "3" ) ? $month_selected_march = "selected=\"selected\" " : $month_selected_march = "" ;
	( $input_expire_month == "4" ) ? $month_selected_april = "selected=\"selected\" " : $month_selected_april = "" ;
	( $input_expire_month == "5" ) ? $month_selected_may = "selected=\"selected\" " : $month_selected_may = "" ;
	( $input_expire_month == "6" ) ? $month_selected_june = "selected=\"selected\" " : $month_selected_june = "" ;
	( $input_expire_month == "7" ) ? $month_selected_july = "selected=\"selected\" " : $month_selected_july = "" ;
	( $input_expire_month == "8" ) ? $month_selected_august = "selected=\"selected\" " : $month_selected_august = "" ;
	( $input_expire_month == "9" ) ? $month_selected_september = "selected=\"selected\" " : $month_selected_september = "" ;
	( $input_expire_month == "10" ) ? $month_selected_october = "selected=\"selected\" " : $month_selected_october = "" ;
	( $input_expire_month == "11" ) ? $month_selected_november = "selected=\"selected\" " : $month_selected_november = "" ;
	( $input_expire_month == "12" ) ? $month_selected_december = "selected=\"selected\" " : $month_selected_december = "" ;
	echo "<select size=\"1\" name=\"input_expire_month\">";
	echo "<option " . $month_selected_january . "value=\"1\">" . $words_news[ 'JANUARY' ] . "</option>";
	echo "<option " . $month_selected_feburary . "value=\"2\">" . $words_news[ 'FEBRUARY' ] . "</option>";
	echo "<option " . $month_selected_march . "value=\"3\">" . $words_news[ 'MARCH' ] . "</option>";
	echo "<option " . $month_selected_april . "value=\"4\">" . $words_news[ 'APRIL' ] . "</option>";
	echo "<option " . $month_selected_may . "value=\"5\">" . $words_news[ 'MAY' ] . "</option>";
	echo "<option " . $month_selected_june . "value=\"6\">" . $words_news[ 'JUNE' ] . "</option>";
	echo "<option " . $month_selected_july . "value=\"7\">" . $words_news[ 'JULY' ] . "</option>";
	echo "<option " . $month_selected_august . "value=\"8\">" . $words_news[ 'AUGUST' ] . "</option>";
	echo "<option " . $month_selected_september . "value=\"9\">" . $words_news[ 'SEPTEMBER' ] . "</option>";
	echo "<option " . $month_selected_october . "value=\"10\">" . $words_news[ 'OCTOBER' ] . "</option>";
	echo "<option " . $month_selected_november . "value=\"11\">" . $words_news[ 'NOVEMBER' ] . "</option>";
	echo "<option " . $month_selected_december . "value=\"12\">" . $words_news[ 'DECEMBER' ] . "</option>";
	echo "</select><select size=\"1\" name=\"input_expire_day\">";
	
	for( $day = 1; $day < 32; $day++ )
	{
		( $day == $input_expire_day ) ? $day_selected = "selected=\"selected\" " : $day_selected = "";
		echo "<option " . $day_selected . "value=\"" . $day . "\">" . $day . "</option>";
	}
	
	$yearstart = date( "Y" );
	$yearend = date( "Y" ) + 20;
	echo "</select><select size=\"1\" name=\"input_expire_year\">";
	
	for( $year = $yearstart; $year < $yearend; $year++ )
	{
		( $year == $input_expire_year ) ? $year_selected = "selected=\"selected\" " : $year_selected = "";
		echo "<option " . $year_selected . "value=\"" . $year . "\">" . $year . "</option>";
	}
	
	echo "</select><select size=\"1\" name=\"input_expire_hour\">";
	
	for( $hour = 1; $hour < 24; $hour++ )
	{
		$hour_value = $html -> twodigits( $hour );
		( $hour_value == $input_expire_hour ) ? $hour_selected = "selected=\"selected\" " : $hour_selected = "";
		echo "<option " . $hour_selected . "value=\"" . $hour_value . "\">" . $hour_value . "</option>";
	}
	
	echo "</select>:<select size=\"1\" name=\"input_expire_minute\">";
	
	for( $minutes = 1; $minutes < 60; $minutes++ )
	{
		$minutes_value = $html -> twodigits( $minutes );
		( $minutes_value == $input_expire_minute ) ? $minute_selected = "selected=\"selected\" " : $minute_selected = "";
		echo "<option " . $minute_selected . "value=\"" . $minutes_value . "\">" . $minutes_value . "</option>";
	}
	
	echo "</select>:<select size=\"1\" name=\"input_expire_second\">";
	
	for( $seconds = 1; $seconds < 60; $seconds++ )
	{
		$seconds_value = $html -> twodigits( $seconds );
		( $seconds_value == $input_expire_second ) ? $second_selected = "selected=\"selected\" " : $second_selected = "";
		echo "<option " . $second_selected . "value=\"" . $seconds_value . "\">" . $seconds_value . "</option>";
	}
	
	( $input_expire_never ) ? $checked = " checked=\"checked\"" : $checked = "" ;
	echo "</select> <strong>" . $words_news[ 'OR_NEVER' ] . "<input name=\"input_expire_never\" type=\"checkbox\" value=\"1\"" . $checked . " /></strong><br />";
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_newsstory_description", $input_newsstory_description, 2 );
	$html -> upperform( $words_news[ 'KEYWORDS' ], "input_newsstory_keywords", $input_newsstory_keywords, 2 );
	$html -> uppertext( $words_news[ 'SEO_URL' ], "input_newsstory_seo", $input_newsstory_seo );
	echo "<strong>" . $words_news[ 'CHANNELS' ] . ":</strong><br />";
	$query = $database -> dbquery( "SELECT newschannel_id, newschannel_website, newschannel_key, newschannel_name, newschannel_parentid FROM " . DB_PREFIX . "esselbach_ct_newschannels ORDER BY newschannel_position, newschannel_id" );
	
	while( list( $newschannel_id, $newschannel_website, $newschannel_key, $newschannel_name, $newschannel_parentid ) = $database -> dbrow( $query ) )
	{
		
		if( $newschannel_parentid > 1 )
		{
			$newschannel_name = str_repeat( "-", $newschannel_parentid ) . " " . $newschannel_name;
		}
		
		
		if( !$input_this_form )
		{
			( preg_match( "/" . $newschannel_key . "/i", $input_channels_list ) ) ? $checked = "checked=\"checked\" " : $checked = "" ;
		}
		else
		{
			( isset( $input_channels[ $newschannel_id ] ) == $newschannel_key ) ? $checked = "checked=\"checked\" " : $checked = "" ;
		}
		
		
		if( isset( $websites[ $newschannel_website ] ) )
		{
			$newschannel_website = " (" . $websites[ $newschannel_website ] . ")";
		}
		else
		{
			$newschannel_website = "";
		}
		
		echo "<input name=\"input_channels[" . $newschannel_id . "]\" type=\"checkbox\" value=\"" . $newschannel_key . "\" " . $checked . "/> " . $newschannel_name . $newschannel_website . "<br />";
	}
	
	
	if( !$preferences[ 'news_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}
	
	$html -> upperform( $words_news[ 'STORY' ], "input_newsstory_story", $input_newsstory_story, 25 );
	
	if( !$preferences[ 'news_wysiwyg' ] )
	{
		$html -> quickhtml( 2 );
	}
	
	$html -> upperform( $words_news[ 'EXTENDED_STORY' ], "input_newsstory_extendedstory", $input_newsstory_extendedstory, 25 );
	
	if( $preferences[ 'news_wysiwyg' ] )
	{
		$wysiwyg -> controls();
	}
	else
	{
		if( ( $input_dopreview ) or( $notice ) )
		{
			$input_html_value = $input_html;
			$input_smilies_value = $input_smilies;
			$input_blockcode_value = $input_blockcode;
		}
		else
		{
			$input_html_value = 0;
			$input_smilies_value = 1;
			$input_blockcode_value = 1;
		}
		
		$html -> makeselect( $words_news[ 'USE_HTML' ], "input_html", $input_html_value, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
		$html -> makeselect( $words_news[ 'USE_SMILIES' ], "input_smilies", $input_smilies_value, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
		$html -> makeselect( $words_news[ 'USE_BLOCKCODE' ], "input_blockcode", $input_blockcode_value, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
	}
	
	( $input_allow_comments ) ? $checked = "checked=\"checked\" " : $checked = "" ;
	echo "<br /><input name=\"input_allow_comments\" type=\"checkbox\" value=\"1\" " . $checked . "/> <strong>" . $words_news[ 'ALLOW_COMMENTS' ] . "</strong><br />";
	( $input_frontpage ) ? $checked = " checked=\"checked\"" : $checked = "" ;
	echo "<input name=\"input_frontpage\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_news[ 'SHOW_FRONTPAGE' ] . "</strong><br />";
	if( !$preferences[ 'news_wysiwyg' ] )
	{
		( $input_url_tag ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<input name=\"input_url_tag\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_news[ 'ADD_URL_TAG' ] . "</strong><br />";
		( $input_url_get ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<input name=\"input_url_get\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_news[ 'GET_WEBSITE_TITLES' ] . "</strong><br />";
	}
	$html -> uppertext( $words_news[ 'NEWS_LINK' ], "input_newsstory_link", $input_newsstory_link );
	$html -> upperform( $words_news[ 'TAGGED_AS' ], "input_newsstory_tags", $input_newsstory_tags, 2 );
	echo $words_news[ 'SEPARATE_TAGS_WITH_COMMAS' ];
	$query = $database -> dbquery( "SELECT newstag_tag, newstag_count FROM " . DB_PREFIX . "esselbach_ct_newstags ORDER BY newstag_tag" );
	
	if( $database -> dbrows( $query ) )
	{
		echo " " . $words_news[ 'OR_CHOOSE_TAGS_FROM_CLOUD' ] . "<br /><br />";
		
		while( list( $newstag_tag, $newstag_count ) = $database -> dbrow( $query ) )
		{
			$newstag_size = $newstag_count + 60;
			
			if( $newstag_size > 300 )
			{
				$newstag_size = 300;
			}
			
			echo "<font style=\"font-size: " . $newstag_size . "%;\"><a href=\"javascript:inserttag('" . $newstag_tag . ",')\">" . $newstag_tag . "</a></font> ";
		}
	}
	
	if( $preferences[ 'news_forum_comments' ] )
	{
		$forums = $uwrapper -> getforums();
		
		if( $forums )
		{
			echo "<br /><br /><strong>" . $words_news[ 'USE_FOLLOWING_FORUM' ] . ":</strong><br />";
			echo "<select size=\"5\" name=\"input_forum\">";
			( !$input_forum ) ? $selected = " selected=\"selected\"" : $selected = "";
			echo "<option value=\"0\"" . $selected . ">" . $words_news[ 'NONE' ] . "</option>";
			
			foreach( $forums as $forum )
			{
				$forum_data = explode( "|^Z|", $forum );
				( $input_forum == $forum_data[ 0 ] ) ? $selected = " selected=\"selected\"" : $selected = "";
				echo "<option value=\"" . $forum_data[ 0 ] . "\"" . $selected . ">" . base64_decode( $forum_data[ 1 ] ) . "</option>";
			}
			
			echo "</select>";
		}
	}
	
	echo "<br /><br /><strong>" . $words_news[ 'TEASER_IMAGE' ] . ":</strong><br />";
	echo "<select size=\"10\" name=\"input_teaserimage\" onchange=\"javascript:teaserpreview(this.value,teaserimage)\">";
	( !$input_teaserimage ) ? $selected = " selected=\"selected\"" : $selected = "" ;
	echo "<option value=\"0\"" . $selected . ">" . $words_news[ 'NONE' ] . "</option>";
	$teaser_image = "../images/blank_image.gif";
	$query = $database -> dbquery( "SELECT newsteaserimage_id, newsteaserimage_filename FROM " . DB_PREFIX . "esselbach_ct_newsteaserimages WHERE newsteaserimage_default = '1' OR (newsteaserimage_default = '0' AND newsteaserimage_story = '0' AND newsteaserimage_author = '" . $login_username . "')" );
	
	while( list( $newsteaserimage_id, $newsteaserimage_filename ) = $database -> dbrow( $query ) )
	{
		if( $input_teaserimage == $newsteaserimage_id )
		{
			$selected = "selected=\"selected\"";
			$teaser_image = "index.php?action=teaserimagepreview&amp;input_teaserimageid=" . $newsteaserimage_id;
		}
		else
		{
			$selected = "";
		}
		
		echo "<option value=\"" . $newsteaserimage_id . "\" " . $selected . ">" . $newsteaserimage_filename . "</option>";
	}
	
	echo "</select> <img src=\"" . $teaser_image . "\" id=\"teaserimage\"><br />";
	echo "<strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_teaserfile\" /><br />";
	echo "<input type=\"submit\" name=\"input_doteaserupload\" value=\"" . $words_news[ 'UPLOAD' ] . "\" />";
	( !$input_status ) ? $status_selected[ 0 ] = "selected=\"selected\"" : $status_selected[ 0 ] = "" ;
	( $input_status == 1 ) ? $status_selected[ 1 ] = "selected=\"selected\"" : $status_selected[ 1 ] = "" ;
	( $input_status == 2 ) ? $status_selected[ 2 ] = "selected=\"selected\"" : $status_selected[ 2 ] = "" ;
	( $input_status == 3 ) ? $status_selected[ 3 ] = "selected=\"selected\"" : $status_selected[ 3 ] = "" ;
	( $input_status == 4 ) ? $status_selected[ 4 ] = "selected=\"selected\"" : $status_selected[ 4 ] = "" ;
	echo "<br /><br /><strong>" . $words_news[ 'STATUS' ] . ":</strong><br /><select size=\"5\" name=\"input_status\">";
	echo "<option " . $status_selected[ 0 ] . " value=\"0\">" . $words_news[ 'ZERO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 1 ] . " value=\"1\">" . $words_news[ 'ONE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 2 ] . " value=\"2\">" . $words_news[ 'TWO_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 3 ] . " value=\"3\">" . $words_news[ 'THREE_STATUS' ] . "</option>";
	echo "<option " . $status_selected[ 4 ] . " value=\"4\">" . $words_news[ 'FOUR_STATUS' ] . "</option>";
	echo "</select><br />";
	$html -> uppertext( $words_news[ 'PASSWORD' ], "input_password", $input_password );
	$input_extrafields = explode( "|^X|", $preferences[ 'news_extrafields' ] );
	
	for( $i = 0; $i < 24; $i++ )
	{
		( isset( $input_extrafields[ $i ] ) ) ? $row = $input_extrafields[ $i ] : $row = "" ;
		$input_form_data = explode( "|^Z|", $row );
		
		if( isset( $input_form_data[ 1 ] ) )
		{
			$input_form_num = $input_form_data[ 0 ];
			$input_form_text = htmlspecialchars( base64_decode( $input_form_data[ 1 ] ) );
		}
		else
		{
			$input_form_num = "";
			$input_form_text = "";
		}
		
		if( $input_form_text )
		{
			if( is_array( $input_fields ) )
			{
				$input_field = ( isset( $input_fields[ $i ] ) ) ? $input_fields[ $i ] : "" ;
			}
			else
			{
				$input_field = "";
			}
			
			if( !$input_form_num )
			{
				$html -> uppertext( $input_form_text, "input_fields[$i]", $input_field );
			}
			
			if( $input_form_num == 1 )
			{
				$html -> upperform( $input_form_text, "input_fields[$i]", $input_field, 25 );
			}
			
			if( $input_form_num == 2 )
			{
				$dropdown_array = explode( ",", $input_form_text );
				$dropdown_name = $dropdown_array[ 0 ];
				echo "<strong>" . $dropdown_name . ":</strong> <select size=\"1\" name=\"input_fields[$i]\">";
				
				for( $y = 1; $y < count( $dropdown_array ); $y++ )
				{
					( $dropdown_array[ $y ] == $input_field ) ? $selected = "selected=\"selected\" " : $selected = "";
					echo "<option " . $selected . "value=\"" . $dropdown_array[ $y ] . "\">" . $dropdown_array[ $y ] . "</option>";
				}
				
				echo "</select><br />";
			}
		}
	}
	
	if( $input_poll_question )
	{
		echo "<div id=\"extra_form_open\">";
	}
	else
	{
		echo "<div id=\"extra_form_close\"><br /><a href=\"#\" onclick=\"show_form(); return false;\">" . $words_news[ 'ATTACH_POLL' ] . "</a></div>";
		echo "<div id=\"extra_form_open\" style=\"display:none\">";
	}
	
	echo "<br /><h2>" . $words_news[ 'ATTACH_POLL' ] . "</h2>";
	$html -> uppertext( $words_news[ 'POLL_QUESTION' ], "input_poll_question", $input_poll_question );
	
	for( $i = 1; $i < 21; $i++ )
	{
		if( is_array( $input_poll_options ) )
		{
			$input_poll_option = isset( $input_poll_options[ $i ] ) ? $input_poll_options[ $i ] : "" ;
		}
		else
		{
			$input_poll_option = "";
		}
		
		$html -> uppertext( $words_news[ 'POLL_OPTION_NO' ] . $i, "input_poll_option[$i]", $input_poll_option );
	}
	
	( $input_poll_choice ) ? $checked = "checked=\"checked\" " : $checked = "" ;
	echo "<input name=\"input_poll_choice\" type=\"checkbox\" value=\"1\" " . $checked . "/> <strong>" . $words_news[ 'POLL_MULTIPLE_CHOICE' ] . "</strong><br />";
	echo "</div><br />";
	echo "<input type=\"hidden\" name=\"aform\" value=\"doprocesssubmissionqueue\" /><input type=\"hidden\" name=\"input_id\" value=\"" . $input_id . "\" /><input type=\"hidden\" name=\"input_this_form\" value=\"1\" />";
	
	if( !$preferences[ 'news_wysiwyg' ] )
	{
		echo "<input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_news[ 'PREVIEW' ] . "\" />";
		
		if( function_exists( "pspell_new" ) )
		{
			echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_news[ 'SPELLING' ] . "\" />";
		}
	}
	
	echo "<input type=\"hidden\" name=\"input_news\" value=\"" . $news . "\" /><input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"submit\" value=\"" . $words_news[ 'APPROVE' ] . "\" /><input type=\"submit\" name=\"input_doreject\" value=\"" . $words_news[ 'REJECT' ] . "\" /><input type=\"submit\" name=\"input_dohold\" value=\"" . $words_news[ 'HOLD' ] . "\" />";
	echo "<br /><br /><h2>" . $words_news[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "","" );
	$query = $database -> dbquery( "SELECT newsqueue_filename, newsqueue_mime FROM " . DB_PREFIX . "esselbach_ct_newsqueue WHERE newsqueue_id = '$input_id'" );
	list( $input_filename, $input_mime ) = $database -> dbrow( $query );
	
	if( $input_filename )
	{
		if( $preferences[ 'news_wysiwyg' ] )
		{
			if( ( $input_mime == "image/pjpeg" ) or( $input_mime == "image/jpeg" ) or( $input_mime == "image/gif" ) or( $input_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_newsstory_story','[queuethumb=" . $input_id . "]')\"><img src=\"index.php?action=newsqueueattachmentpreview&amp;input_storyid=" . $input_id . "\" title=\"" . htmlspecialchars( $input_filename ) . "\" alt=\"" . htmlspecialchars( $input_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_newsstory_story','[queuethumb=" . $input_id . "]')\">" . htmlspecialchars( $input_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_newsstory_story','[queuefullimage=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_newsstory_story','[queuethumb=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL' ] . "</a> ";
				$mid_link .= "| <a href=\"javascript:wysiwyginsert('input_newsstory_extendedstory','[queuefullimage=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a> | <a href=\"javascript:insert2('[queuethumb=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_newsstory_story','[queueattachment=" . $input_id . "]Download" . htmlspecialchars( $input_filename ) . "[/queueattachment]')\">" . $words_news[ 'ADD_DOWNLOAD' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_newsstory_extendedstory','[queueattachment=" . $input_id . "]Download" . htmlspecialchars( $input_filename ) . "[/queueattachment]')\">" . $words_news[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a>]<br />";
			}
		}
		else
		{
			if( ( $input_mime == "image/pjpeg" ) or( $input_mime == "image/jpeg" ) or( $input_mime == "image/gif" ) or( $input_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert('[queuethumb=" . $input_id . "]')\"><img src=\"index.php?action=newsqueueattachmentpreview&amp;input_storyid=" . $input_id . "\" title=\"" . htmlspecialchars( $input_filename ) . "\" alt=\"" . htmlspecialchars( $input_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert('[queuethumb=" . $input_id . "]')\">" . htmlspecialchars( $input_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert('[queuefullimage=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[queuethumb=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL' ] . "</a> ";
				$mid_link .= "| <a href=\"javascript:insert2('[queuefullimage=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a> | <a href=\"javascript:insert2('[queuethumb=" . $input_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert('[queueattachment=" . $input_id . "]Download" . htmlspecialchars( $input_filename ) . "[/queueattachment]')\">" . $words_news[ 'ADD_DOWNLOAD' ] . "</a> | <a href=\"javascript:insert2('[queueattachment=" . $input_id . "]Download" . htmlspecialchars( $input_filename ) . "[/queueattachment]')\">" . $words_news[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a>]<br />";
			}
		}
		
		$mid_link .= $words_news[ 'WARNING_ATTACHMENT' ];
		$html -> tableamiddle( "$input_filename", "$mid_link", "input_doqfiledownload", $words_news[ 'DOWNLOAD_FILE' ] . $input_id, "input_doqfileremove", $words_news[ 'REMOVE_FILE' ] . $input_id );
	}
	
	$query = $database -> dbquery( "SELECT newsfile_id, newsfile_filename, newsfile_title, newsfile_description, newsfile_mime FROM " . DB_PREFIX . "esselbach_ct_newsfiles WHERE newsfile_author = '$login_username' AND newsfile_inuse = '0' ORDER BY newsfile_date DESC" );
	
	while( list( $newsfile_id, $newsfile_filename, $newsfile_title, $newsfile_description, $newsfile_mime ) = $database -> dbrow( $query ) )
	{
		if( $preferences[ 'news_wysiwyg' ] )
		{
			if( ( $newsfile_mime == "image/pjpeg" ) or( $newsfile_mime == "image/jpeg" ) or( $newsfile_mime == "image/gif" ) or( $newsfile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_newsstory_story','[thumb=" . $newsfile_id . "]')\"><img src=\"index.php?action=newsattachmentpreview&amp;input_fileid=" . $newsfile_id . "\" title=\"" . htmlspecialchars( $newsfile_description ) . "\" alt=\"" . htmlspecialchars( $newsfile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:wysiwyginsert('input_newsstory_story','[thumb=" . $newsfile_id . "]')\">" . htmlspecialchars( $newsfile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:wysiwyginsert('input_newsstory_story','[fullimage=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_newsstory_story','[thumb=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL' ] . "</a> ";
				$mid_link .= "| <a href=\"javascript:wysiwyginsert('input_newsstory_extendedstory','[fullimage=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_newsstory_extendedstory','[thumb=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:wysiwyginsert('input_newsstory_story','[attachment=" . $newsfile_id . "]Download" . $newsfile_filename . "[/attachment]')\">" . $words_news[ 'ADD_DOWNLOAD' ] . "</a> | <a href=\"javascript:wysiwyginsert('input_newsstory_extendedstory','[attachment=" . $newsfile_id . "]Download" . $newsfile_filename . "[/attachment]')\">" . $words_news[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a>]<br />";
			}
		}
		else
		{
			if( ( $newsfile_mime == "image/pjpeg" ) or( $newsfile_mime == "image/jpeg" ) or( $newsfile_mime == "image/gif" ) or( $newsfile_mime == "image/png" ) )
			{
				if( function_exists( "imagecopyresized" ) )
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $newsfile_id . "]')\"><img src=\"index.php?action=newsattachmentpreview&amp;input_fileid=" . $newsfile_id . "\" title=\"" . htmlspecialchars( $newsfile_description ) . "\" alt=\"" . htmlspecialchars( $newsfile_filename ) . "\" /></a><br />";
				}
				else
				{
					$mid_link = "<a href=\"javascript:insert('[thumb=" . $newsfile_id . "]')\">" . htmlspecialchars( $newsfile_filename ) . "</a><br />";
				}
				
				$mid_link .= "[ <a href=\"javascript:insert('[fullimage=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[thumb=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL' ] . "</a> ";
				$mid_link .= "| <a href=\"javascript:insert2('[fullimage=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_FULL_IMAGE_EXTENDED' ] . "</a> | <a href=\"javascript:insert2('[thumb=" . $newsfile_id . "]')\">" . $words_news[ 'ADD_AS_THUMBNAIL_EXTENDED' ] . "</a> ]<br />";
			}
			else
			{
				$mid_link = "[ <a href=\"javascript:insert('[attachment=" . $newsfile_id . "]Download" . htmlspecialchars( $newsfile_filename ) . "[/attachment]')\">" . $words_news[ 'ADD_DOWNLOAD' ] . "</a> | <a href=\"javascript:insert2('[attachment=" . $newsfile_id . "]Download " . htmlspecialchars( $newsfile_filename ) . "[/attachment]')\">" . $words_news[ 'ADD_DOWNLOAD_EXTENDED' ] . "</a>]<br />";
			}
		}
		
		if( $input_file == $newsfile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">$newsfile_title</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">$newsfile_description</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $newsfile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_news[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $newsfile_title ) . "</strong><br />" . htmlspecialchars( $newsfile_description );
		}
		
		if( $input_file != $newsfile_id )
		{
			$html -> tableamiddle( "$newsfile_filename", "$mid_link", "input_dofileedit", $words_news[ 'EDIT_FILE' ] . $newsfile_id, "input_dofileremove", $words_news[ 'REMOVE_FILE' ] . $newsfile_id );
		}
		else
		{
			$html -> tableamiddle( "$newsfile_filename", "$mid_link", "input_dofileedit", 0, 0, 0, 0 );
		}
	}
	
	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_news[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	
	for( $a = 0; $a < 6; $a++ )
	{
		if( !isset( $input_file_title[ $a ] ) )
		{
			$input_file_title[ $a ] = "";
		}
		
		if( !isset( $input_file_description[ $a ] ) )
		{
			$input_file_description[ $a ] = "";
		}
	}
	
	echo "<strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[0]\" /><br />";
	$html -> upperform( $words_news[ 'TITLE' ], "input_file_title[0]", $input_file_title[ 0 ], 1 );
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_file_description[0]", $input_file_description[ 0 ], 2 );
	echo "<div id=\"attachment_form_close\"><br /><a href=\"#\" onclick=\"show_form2(); return false;\">" . $words_news[ 'ATTACH_MULTIPLE_FILES' ] . "</a><br /><br /></div>";
	echo "<div id=\"attachment_form_open\" style=\"display:none\">";
	echo "<strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[1]\" /><br />";
	$html -> upperform( $words_news[ 'TITLE' ], "input_file_title[1]", $input_file_title[ 1 ], 1 );
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_file_description[1]", $input_file_description[ 1 ], 2 );
	echo "<br /><strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[2]\" /><br />";
	$html -> upperform( $words_news[ 'TITLE' ], "input_file_title[2]", $input_file_title[ 2 ], 1 );
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_file_description[2]", $input_file_description[ 2 ], 2 );
	echo "<br /><strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[3]\" /><br />";
	$html -> upperform( $words_news[ 'TITLE' ], "input_file_title[3]", $input_file_title[ 3 ], 1 );
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_file_description[3]", $input_file_description[ 3 ], 2 );
	echo "<br /><strong>" . $words_news[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file[4]\" /><br />";
	$html -> upperform( $words_news[ 'TITLE' ], "input_file_title[4]", $input_file_title[ 4 ], 1 );
	$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_file_description[4]", $input_file_description[ 4 ], 2 );
	echo "</div>";
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_news[ 'UPLOAD' ] . "\" />";
	$html -> makeformfooter();
}
?>