<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 13                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage News
 * @copyright (C) 2002-2009 Esselbach Internet Solutions
 */

/**
 * function AdminSubmissionQueueOptions
 * A function to show submission queue options 
 * @author Philipp Louis Esselbach
 */
function AdminSubmissionQueueOptions()
{
	global $security, $system, $html, $database, $wysiwyg, $preferences, $words_news;
	$input_option = ( isset( $_POST[ 'input_option' ] ) ) ? $security -> checknum( $_POST[ 'input_option' ] ) : "" ;
	$input_stories = ( isset( $_POST[ 'editoptions' ] ) ) ? $security -> checknumarray( $_POST[ 'editoptions' ] ) : "" ;
	$input_security_hash = ( isset( $_POST[ 'input_security_hash' ] ) ) ? $security -> checkvar( $_POST[ 'input_security_hash' ] ) : "" ;
	
	if( ( $system -> adminhashget() != $input_security_hash ) and( $preferences[ 'website_subsessions_admin' ] ) )
	{
		$html -> login( $words_news[ 'ERROR' ], $words_news[ 'INVALID_SESSION' ], "index.php" );
		exit;
	}
	
	if( is_array( $input_stories ) )
	{
		$stories_count = count( $input_stories );
		$stories_field = join( ",", $input_stories );
	}
	else
	{
		$stories_count = 0;
		$stories_field = "";
	}
	
	$html -> makeheader( $words_news[ 'SUBMISSIONQUEUE_OPTIONS' ] );
	$html -> makesubheader();
	$html -> makegroupmenu( "news" );
	$html -> makeformheader( $words_news[ 'SUBMISSIONQUEUE_OPTIONS' ], "stories", "options", "post" );
	
	if( !$input_option )
	{
		echo $words_news[ 'THIS_WOULD_DELETE' ] . " " . $stories_count . " " . $words_news[ '_STORIES' ] . ".<br /><br />";
		
		if( $stories_field )
		{
			echo $words_news[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuestoriesdelete\" /><input type=\"hidden\" name=\"input_stories\" value=\"" . $stories_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_news[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 1 )
	{
		echo $words_news[ 'THIS_WOULD_APPROVE' ] . " " . $stories_count . " " . $words_news[ '_STORIES' ] . ".<br /><br />";
		
		if( $stories_field )
		{
			echo $words_news[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuestoriesapprove\" /><input type=\"hidden\" name=\"input_stories\" value=\"" . $stories_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_news[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 2 )
	{
		echo $words_news[ 'THIS_WOULD_APPROVE' ] . " " . $stories_count . " " . $words_news[ '_STORIES' ] . ".<br /><br />";
		
		if( $stories_field )
		{
			if( $preferences[ 'news_wysiwyg' ] )
			{
				$wysiwyg -> wysiwyginit( "input_intro,input_all_stories" );
			}
			else
			{
				$html -> quickhtmlinit( "options", "input_intro", "input_all_stories" );
			}
			
			$websites = array();
			$query = $database -> dbquery( "SELECT preference_website, preference_value FROM " . DB_PREFIX . "esselbach_ct_preferences WHERE preference_key = 'WEBSITE_NAME'" );
			
			if( $database -> dbrows( $query ) )
			{
				echo "<strong>" . $words_news[ 'WEBSITE' ] . ":</strong> <select size=\"1\" name=\"input_website\">";
				echo "<option value=\"0\">" . $words_news[ 'ALL' ] . "</option>";
				
				while( list( $website_id, $website_name ) = $database -> dbrow( $query ) )
				{
					echo "<option value=\"" . $website_id . "\">" . $website_name . "</option>";
					$websites[ $website_id ] = $website_name;
				}
				
				echo "</select><br />";
			}
			
			$html -> uppertext( $words_news[ 'STORY_TITLE' ], "input_title", "" );
			$html -> upperform( $words_news[ 'DESCRIPTION' ], "input_description", "", 2 );
			$html -> upperform( $words_news[ 'KEYWORDS' ], "input_keywords", "", 2 );
			$html -> uppertext( $words_news[ 'SEO_URL' ], "input_seo", "" );
			echo "<strong>" . $words_news[ 'CHANNELS' ] . ":</strong><br />";
			$query = $database -> dbquery( "SELECT newschannel_id, newschannel_website, newschannel_key, newschannel_name, newschannel_parentid FROM " . DB_PREFIX . "esselbach_ct_newschannels ORDER BY newschannel_position, newschannel_id" );
			
			while( list( $newschannel_id, $newschannel_website, $newschannel_key, $newschannel_name, $newschannel_parentid ) = $database -> dbrow( $query ) )
			{
				
				if( $newschannel_parentid > 1 )
				{
					$newschannel_name = str_repeat( "-", $newschannel_parentid ) . " " . $newschannel_name;
				}
				
				
				if( isset( $websites[ $newschannel_website ] ) )
				{
					$newschannel_website = " (" . $websites[ $newschannel_website ] . ")";
				}
				else
				{
					$newschannel_website = "";
				}
				
				echo "<input name=\"input_channels[" . $newschannel_id . "]\" type=\"checkbox\" value=\"" . $newschannel_key . "\" /> " . $newschannel_name . $newschannel_website . "<br />";
			}
			
			if( !$preferences[ 'news_wysiwyg' ] )
			{
				$html -> quickhtml( "" );
			}
			
			$html -> upperform( $words_news[ 'INTRODUCTION' ], "input_intro", "", 25 );
			
			$input_stories_array = explode( ",", $stories_field );
			$input_stories_array = $security -> checknumarray( $input_stories_array );
			$input_stories_sql = implode( ",", $input_stories_array );
			$input_all_stories = "";
			
			$query = $database -> dbquery( "SELECT newsqueue_id, newsqueue_title, newsqueue_rawstory, newsqueue_rawextendedstory, newsqueue_link FROM " . DB_PREFIX . "esselbach_ct_newsqueue WHERE newsqueue_id IN (" . $input_stories_sql . ")" );
			while( list( $input_id, $input_newsstory_title, $input_newsstory_story, $input_newsstory_extendedstory, $input_newsstory_link ) = $database -> dbrow( $query ) )
			{
				$input_all_stories .= htmlspecialchars( $input_newsstory_title ) . "\n";
				$input_all_stories .= htmlspecialchars( $input_newsstory_story ) . "\n\n";
				if ( $input_newsstory_extendedstory )
				{
					$input_all_stories .= htmlspecialchars( $input_newsstory_extendedstory ) . "\n\n";
				}
				if ( $input_newsstory_link )
				{
					$input_all_stories .= htmlspecialchars( $input_newsstory_link ) . "\n\n";
				}
				
			}
			
			if( !$preferences[ 'news_wysiwyg' ] )
			{
				$html -> quickhtml( 2 );
			}
			
			$html -> upperform( $words_news[ 'EXTENDED_STORY' ], "input_all_stories", $input_all_stories, 25 );
			
			if( $preferences[ 'news_wysiwyg' ] )
			{
				$wysiwyg -> controls();
			}
			else
			{
				$html -> makeselect( $words_news[ 'USE_HTML' ], "input_html", 0, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
				$html -> makeselect( $words_news[ 'USE_SMILIES' ], "input_smilies", 1, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
				$html -> makeselect( $words_news[ 'USE_BLOCKCODE' ], "input_blockcode", 1, $words_news[ 'YES' ] . " " . $words_news[ 'NO' ] );
			}
			
			echo "<br /><input name=\"input_allow_comments\" type=\"checkbox\" value=\"1\" checked=\"checked\" /> <strong>" . $words_news[ 'ALLOW_COMMENTS' ] . "</strong><br />";
			echo "<input name=\"input_frontpage\" type=\"checkbox\" value=\"1\" checked=\"checked\" /> <strong>" . $words_news[ 'SHOW_FRONTPAGE' ] . "</strong><br />";
			if( !$preferences[ 'news_wysiwyg' ] )
			{
				echo "<input name=\"input_url_tag\" type=\"checkbox\" value=\"1\" checked=\"checked\" /> <strong>" . $words_news[ 'ADD_URL_TAG' ] . "</strong><br />";
				echo "<input name=\"input_url_get\" type=\"checkbox\" value=\"1\" checked=\"checked\" /> <strong>" . $words_news[ 'GET_WEBSITE_TITLES' ] . "</strong><br />";
			}
	
			echo "<br />";
			$html -> upperform( $words_news[ 'TAGGED_AS' ], "input_tags", "", 2 );
			echo "<br />" . $words_news[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuestoriesmerge\" /><input type=\"hidden\" name=\"input_stories\" value=\"" . $stories_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_news[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 3 )
	{
		echo $words_news[ 'THIS_WOULD_REJECT' ] . " " . $stories_count . " " . $words_news[ '_STORIES' ] . ".<br /><br />";
		
		if( $stories_field )
		{
			echo $words_news[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuestoriesreject\" /><input type=\"hidden\" name=\"input_stories\" value=\"" . $stories_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_news[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	elseif( $input_option == 4 )
	{
		echo $words_news[ 'THIS_WOULD_PROCESS' ] . " " . $stories_count . " " . $words_news[ '_STORIES' ] . ".<br /><br />";
		
		if( $stories_field )
		{
			echo $words_news[ 'ARE_YOU_SURE' ];
			echo " <input type=\"hidden\" name=\"input_security_hash\" value=\"" . $input_security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"domassqueuestoriesprocess\" /><input type=\"hidden\" name=\"input_stories\" value=\"" . $stories_field . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'YES' ] . "\" /><input type=\"submit\" name=\"input_status\" value=\"" . $words_news[ 'NO' ] . "\" />";
		}
		else
		{
			echo "<a href=\"javascript:history.go(-1)\">" . $words_news[ 'RETURN_TO_PREVIOUS' ] . "</a>";
		}
	}
	
	$html -> makeformfooter();
}
?>